Package org.eclipse.ecf.provider.generic

## Class SOWrapper

- java.lang.Object
- - org.eclipse.ecf.provider.generic.SOWrapper

    public class SOWrapper
    extends Object

### Nested Class Summary

Nested Classes
`protected static class` `SOWrapper.DisposeEvent`
`static class` `SOWrapper.ProcEvent`

### Field Summary

Fields
`protected ISharedObject` `sharedObject`

### Constructor Summary

Constructors
`` `SOWrapper​(SOConfig aConfig, ISharedObject obj, SOContainer cont)`
`protected` `SOWrapper​(org.eclipse.ecf.provider.generic.SOContainer.LoadingSharedObject obj, SOContainer cont)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activated()`
`protected void` `deactivated()`
`protected void` `debug​(String msg)`
`protected void` `deliverCreateResponse​(ID fromID, ContainerMessage.CreateResponseMessage resp)`
`void` `deliverEvent​(Event evt)`
`protected void` `deliverSharedObjectMessage​(ID fromID, Serializable data)`
`protected void` `destroyed()`
`protected void` `destroySelf()`
`protected void` `doDestroy()`
`protected SOConfig` `getConfig()`
`protected ID` `getHomeID()`
`protected ID` `getObjID()`
`SimpleFIFOQueue` `getQueue()`
`protected ISharedObject` `getSharedObject()`
`protected Thread` `getThread()`
`protected void` `handleRuntimeException​(Throwable except)`
`protected void` `init()`
`protected void` `memberChanged​(Member m, boolean add)`
`protected void` `otherChanged​(ID otherID, boolean activated)`
`protected void` `svc​(Event evt)`
`String` `toString()`
`protected void` `traceStack​(String msg, Throwable e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sharedObject

    protected ISharedObject sharedObject

### Constructor Detail

#### SOWrapper

    protected SOWrapper​(org.eclipse.ecf.provider.generic.SOContainer.LoadingSharedObject obj,
                        SOContainer cont)

#### SOWrapper

    public SOWrapper​(SOConfig aConfig,
                     ISharedObject obj,
                     SOContainer cont)

### Method Detail

#### init

    protected void init()
                 throws SharedObjectInitException

Throws:
  `SharedObjectInitException`

#### getObjID

    protected ID getObjID()

#### getHomeID

    protected ID getHomeID()

#### getConfig

    protected SOConfig getConfig()

#### activated

    protected void activated()

#### deactivated

    protected void deactivated()

#### destroyed

    protected void destroyed()

#### otherChanged

    protected void otherChanged​(ID otherID,
                                boolean activated)

#### memberChanged

    protected void memberChanged​(Member m,
                                 boolean add)

#### getThread

    protected Thread getThread()

#### svc

    protected void svc​(Event evt)

#### doDestroy

    protected void doDestroy()

#### deliverSharedObjectMessage

    protected void deliverSharedObjectMessage​(ID fromID,
                                              Serializable data)

#### deliverCreateResponse

    protected void deliverCreateResponse​(ID fromID,
                                         ContainerMessage.CreateResponseMessage resp)

#### deliverEvent

    public void deliverEvent​(Event evt)

#### destroySelf

    protected void destroySelf()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### debug

    protected void debug​(String msg)

#### traceStack

    protected void traceStack​(String msg,
                              Throwable e)

#### handleRuntimeException

    protected void handleRuntimeException​(Throwable except)

#### getSharedObject

    protected ISharedObject getSharedObject()

#### getQueue

    public SimpleFIFOQueue getQueue()